<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: Utils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_utils-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Utils Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="utils_8h_source.html">utils.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Utils:</div>
<div class="dyncontent">
<div class="center"><img src="class_utils__coll__graph.png" border="0" usemap="#a_utils_coll__map" alt="Collaboration graph"/></div>
<map name="a_utils_coll__map" id="a_utils_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,136,117"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a452e78692c87ed5c7c993b6c6ac4981a" id="r_a452e78692c87ed5c7c993b6c6ac4981a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a452e78692c87ed5c7c993b6c6ac4981a">Utils</a> ()</td></tr>
<tr class="separator:a452e78692c87ed5c7c993b6c6ac4981a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a86b8de3919fafc6101dc735754030c30" id="r_a86b8de3919fafc6101dc735754030c30"><td class="memItemLeft" align="right" valign="top">static QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a86b8de3919fafc6101dc735754030c30">filterStatsByType</a> (<a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a> t)</td></tr>
<tr class="separator:a86b8de3919fafc6101dc735754030c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349c9e701fea69008acb917ed2a595e6" id="r_a349c9e701fea69008acb917ed2a595e6"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a349c9e701fea69008acb917ed2a595e6">calculateStat</a> (QString &amp;stat, QVector&lt; QString &gt; data)</td></tr>
<tr class="separator:a349c9e701fea69008acb917ed2a595e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a452e78692c87ed5c7c993b6c6ac4981a" name="a452e78692c87ed5c7c993b6c6ac4981a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a452e78692c87ed5c7c993b6c6ac4981a">&#9670;&#160;</a></span>Utils()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Utils::Utils </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a349c9e701fea69008acb917ed2a595e6" name="a349c9e701fea69008acb917ed2a595e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349c9e701fea69008acb917ed2a595e6">&#9670;&#160;</a></span>calculateStat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Utils::calculateStat </td>
          <td>(</td>
          <td class="paramtype">QString &amp;</td>          <td class="paramname"><span class="paramname"><em>stat</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVector&lt; QString &gt;</td>          <td class="paramname"><span class="paramname"><em>data</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86b8de3919fafc6101dc735754030c30" name="a86b8de3919fafc6101dc735754030c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86b8de3919fafc6101dc735754030c30">&#9670;&#160;</a></span>filterStatsByType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; QString &gt; Utils::filterStatsByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dataframe_8h.html#a0bc6723d5d4776ab7cdc646728b775f7">TYPE</a></td>          <td class="paramname"><span class="paramname"><em>t</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="utils_8h_source.html">utils.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="utils_8cpp.html">utils.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
